/*
 * fancyqt4widgets.h
 *
 * ABI definitions 
 *
 *  Created on: 09.12.2009
 *      Author: wglas
 */

#ifndef FANCYQT4WIDGETS_H_
#define FANCYQT4WIDGETS_H_

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancyqt4widgets_DLL
#   define FANCYQT4WIDGETS_API __attribute__((dllexport))
#   define FANCYQT4WIDGETS_I18N_API __attribute__((dllexport,format_arg (1)))
#   define FANCYQT4WIDGETS_I18N_N_API __attribute__((dllexport,format_arg (1),format_arg (2)))
#  else
#   define FANCYQT4WIDGETS_API __attribute__((dllimport))
#   define FANCYQT4WIDGETS_I18N_API __attribute__((dllimport,format_arg (1)))
#   define FANCYQT4WIDGETS_I18N_N_API __attribute__((dllimport,format_arg (1),format_arg (2)))
#  endif
# else
#  define FANCYQT4WIDGETS_I18N_API __attribute__((format_arg (1)))
#  define FANCYQT4WIDGETS_I18N_N_API __attribute__((format_arg (1),format_arg (2)))
# endif
#else
# ifdef __GNUC__
#  define FANCYQT4WIDGETS_INTERNAL_API __attribute__((visibility("hidden")))
#  define FANCYQT4WIDGETS_I18N_API __attribute__((format_arg (1)))
#  define FANCYQT4WIDGETS_I18N_N_API __attribute__((format_arg (1),format_arg (2)))
# endif
#endif

#ifndef FANCYQT4WIDGETS_INTERNAL_API
#define FANCYQT4WIDGETS_INTERNAL_API
#endif

#ifndef FANCYQT4WIDGETS_API
#define FANCYQT4WIDGETS_API
#endif

#ifndef FANCYQT4WIDGETS_I18N_API
#define FANCYQT4WIDGETS_I18N_API FANCYQT4WIDGETS_API
#endif

#ifndef FANCYQT4WIDGETS_I18N_N_API
#define FANCYQT4WIDGETS_I18N_N_API FANCYQT4WIDGETS_API
#endif

#endif /* FANCYQT4WIDGETS_H_ */
